<?php header('Content-type: text/html; charset=utf-8'); ?><?php
// Include the TourCMS library
include $_SERVER['DOCUMENT_ROOT'].'/tourcms.php';
// Check the API wrapper has been included
if(!class_exists('TourCMS')) {
	print "<p><strong>There has been a problem:</strong><br /><strong><em>tourcms.php</em></strong> (TourCMS API wrapper) not found, by default you should have copied <strong><em>tourcms.php</em></strong> to the root of your website.";
	exit();
}
// Marketplace account ID
// Leave this as zero if you are a supplier (i.e. not a Marketplace partner)
$marketplace_account_id = 0;

// Marketplace account ID
// Leave this as zero if you are a Marketplace partner (i.e. not a supplier)
$channel_id = 0;

// API Private Key (log in to TourCMS to get yours)
$api_private_key = "";

// Check the settings above have been entered
if($api_private_key == "" || ($channel_id == 0 && $marketplace_account_id == 0)) {
	print "<p><strong>There has been a problem:</strong><br />You don't appear to have filled in the API settings, please edit this file and set an <strong>api_private_key</strong> and a <strong>channel_id</strong> and/or <strong>marketplace_account_id</strong>.</p>";
	exit();
}


// Create a new Instance of the TourCMS API class
$result_type = 'simplexml';
$tc = new TourCMS($marketplace_account_id, $api_private_key, $result_type);

// We can now run whichever methods we want
// Here we'll check our API rate limit
$result = $tc->search_tours("order=tour_name", $channel_id);

?><!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
		<link rel="stylesheet" href="style.css" />
		<style type="text/css">
			span.month {
				text-align: center; padding: 2px 4px 2px 4px; display: inline-block;  color: white;  -moz-border-radius: 3px; -webkit-border-radius: 3px; border-radius: 3px 3px 3px 3px; text-transform: uppercase; width: 48px;
			}
			
			span.month.off {
				background: #ccc;
			}
			
			span.month.on {
				background: #6d9978; 
			}
			
			span.month.head {
				background: #667;
				font-size: 11px;
			}
		</style>
	</head>
	<body>

			<?php 
			if($result->error!="OK") {
				// Print error
				print 'Sorry there has been a problem. <br/>'.$result->error;
			} else {
			?>
			<div style="width: 960px; margin: auto; text-align: left;">
				<!-- Dates -->
				<div class="dates">
					<div>
						<?php
							$year = date("Y");
							$month = date("n");
							
							$date = strtotime($year."-".$month."-01");
							
							$months = array("jan","feb","mar","apr","may","jun","jul","aug","sep","oct","nov","dec");
							
						?>
						<table>
						<thead>
							<tr>
								<td></td>
								<?php
									for($i=0; $i<=11; $i++) {
										$checkdate = strtotime("+$i month",$date);
										$startdate_yyyymmdd = date("Y-m-d", $checkdate); 
										$checkmonth = date("n", $checkdate);
										
										$disp_str = date("M 'y", $checkdate);
										
										
										print "<td><span class='month head'>".$disp_str."</span></td>";
										
											
									}
								?>
							</tr>
						</thead>
						<tbody>
						<?php
															
							foreach($result->tour as $tour) {
							
							// Shorten long names, only space for about 30 chars
							$short_name = strlen($tour->tour_name) <= 30 ? $tour->tour_name : substr($tour->tour_name, 0, 27) . "...";
							
							?><tr>
								<td><a href="<?php print $tour->tour_url_tracked; ?>" title="<?php print str_replace('"', "'", $tour->tour_name); ?>"><?php print $short_name; ?></a></td>
								<?php
									for($i=0; $i<=11; $i++) {
										$checkdate = strtotime("+$i month",$date);
										$startdate_yyyymmdd = date("Y-m-d", $checkdate); 
										$month_year = date("m_Y", $checkdate);
										$checkmonth = date("n", $checkdate);
										
										$str = '$onsale = (int)$tour->has_sale_'.$months[$checkmonth - 1].';';
										eval($str);
										
										$title_text = str_replace("'", '"', $tour->tour_name)." available during ".date("M Y", $checkdate)." from ";
										$str = '$title_text .= $tour->from_price_'.$months[$checkmonth - 1].'_display;';
										eval($str);
										
										$str = '$disp_str = $tour->from_price_'.$months[$checkmonth - 1].'_display;';
										eval($str);
										//$disp_str = str_pad($disp_str, 10, "-", STR_PAD_LEFT);
										
										//$disp_str = str_replace("-", "&nbsp;", $disp_str);
										
										if($onsale)
											print "<td><a href='$tour->book_url&month_year=$month_year' title='$title_text'><span class='month on'>".$disp_str."</span></a></td>";
										else
											print "<td><span class='month off'>&nbsp;</span></td>";
											
									}
								?>
							</tr><?
							} ?>
						</tbody>
						</table>
					</div>
				</div>
			</div>
			<?php 
			}?>
		<script>
			$(document).ready(function() {
			 	$("tr:even").css("background-color", "#fefefe");
			});
		</script>
	</body>
</html>